<html>
<head>
	<meta charset="UTF-8">
	<title></title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

 
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">


<script src="https://code.jquery.com/jquery-1.12.4.js"></script> 
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.7/angular.min.js"></script> 
<script type="text/javascript" src="https://cdn.jsdelivr.net/ngstorage/0.3.6/ngStorage.min.js"></script> 
<script type="text/javascript" src="bootbox.min.js"></script>
 

<script src="animal.js"></script> 

<style type="text/css">
.thumbnail {
  height: 350px; 
}
div.desc_content {
background-color: #000;
color: #FFF;
font: bold 11px verdana;
padding-left: 10px;
padding-top: 7px;
height: 23px; opacity: 0.7;
position: relative; 
top: -20px;
}
</style>
</head>
<body ng-app="animalApp">
<div class="container" ng-controller="animalCtrl">
	<div class="jumbotron">
		<h1>Animal Wikipedia</h1> <br>
		<p>This is the List of Animal Information</p>
	</div> 
	<a href="animalFieldForm.html" class="btn btn-success">New Data</a> 
	<br>
	<br> 
	<div class="row">
		<div class="col-sm-4" ng-repeat="animal in animals"> 
			<div class="thumbnail">
				<img src="{{animal.image}}" class="img-responsive" alt="..." style='height:100%;width:100%'> 
				<div class="desc_content" style="">{{ animal.name + " (" + animal.type + ")" }} | 
				<a href="" ng-click="view(animal.name, animal.type, animal.description, animal.lifespan, animal.livingtype, animal.image)" data-toggle="modal" data-target="#exampleModal"> <span class="glyphicon glyphicon-eye-open"></span>View</a> | <a href="" data-toggle="modal" data-target="#modalEdit" ng-click="viewSelectData(animal.id, animal.name, animal.type,animal.description,animal.lifespan, animal.livingtype)"> <span class="glyphicon glyphicon-edit"></span>Edit</a> | 
				<a href="" ng-click="deleteAnimals(animal.id)"> <span class="glyphicon glyphicon-trash"></span>Delete</a></div>
			</div> 
		</div>   
	</div> 


<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="exampleModalLabel">{{ name2 + " (" + type2 +  ")" }}</h4> Life Span: {{ lifespan2 }} <br>
        Type: {{ livingtype2 }}
      </div>
      <div class="modal-body">
         <h3>Description</h3>
         <div class="col-sm-4">
         	<img src="{{ image2  }}" class="img-responsive">
         </div>
         {{ description2 }}
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button> 
      </div>
    </div>
  </div>
</div>




<div class="modal fade" id="modalEdit" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 class="modal-title" id="exampleModalLabel">Edit Form</h4>
      </div>
      <div class="modal-body">
         <form>
          <div class="form-group">
            <label for="firstname">Name</label>
            <input type="text" name="username" class="form-control"  id="namE">
          </div>
          <div class="form-group">
            <label for="firstname">Type</label>
            <input type="text" name="username" class="form-control"  id="typE">
          </div>
          <div class="form-group">
            <label for="firstname">Description</label>
            <textarea class="form-control" id="descriptioN" row="4"></textarea>
          </div>
          <div class="form-group">
            <label for="firstname">Life span</label>
            <input type="text" name="username" class="form-control" id="lifespaN">
          </div>
          <div class="form-group">
            <label for="firstname">Living Type</label>
            <input type="text" name="username" class="form-control"  id="livingtypE">
          </div>
          <button type="button" class="btn btn-primary" ng-click="saveData()">Save</button> 
         </form>  
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button> 
      </div>
    </div>
  </div>
</div>

</div> 
</div>   

</body>
</html>